summaryrefslogtreecommitdiff
path: root/qa/086
diff options
context:
space:
mode:
Diffstat (limited to 'qa/086')
-rwxr-xr-xqa/08634
1 files changed, 34 insertions, 0 deletions
diff --git a/qa/086 b/qa/086
new file mode 100755
index 0000000..f53aa74
--- /dev/null
+++ b/qa/086
@@ -0,0 +1,34 @@
+#! /bin/sh
+# PCP QA Test No. 086
+# timezone exercises
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+
+me=`hostname`
+
+other1=bogus
+other2=bogus
+
+eval `./getpmcdhosts -L -n 2 | \
+ $PCP_AWK_PROG '{ if (NF == 2) printf("other1=%s\nother2=%s\n",$1,$2); }'`
+[ "$other1" = Xbogus -o "X$other2" = Xbogus ] && \
+ _notrun "Unable to find two other hosts"
+
+#
+# only interested in failure or output on stderr
+src/whichtimezone $me $other1 $other2 \
+ | sed -e '/Trying/d' -e '/^zone/d' -e '/^$/d'
+exit $?